%define fversion	3.0.0
%define frealversion	3.0.0
%define release		7

%define build_staticlib 0
%{?_with_staticlib: %global build_staticlib 1}

Summary:		A binary delta generator
Name:			xdelta3
Version:		3.0.0
Release:		%mkrel %{release}
Source0:		http://xdelta.googlecode.com/files/xdelta%{version}.tar.gz
Patch0:			xdelta%{version}-optflags.patch
Patch1:			xdelta3-3.0.0-CVE-2014-9765.patch
URL:			http://xdelta.org
License:		GPL
Group:			File tools
BuildRequires:		zlib-devel

%description
Xdelta3 is the third and latest release of Xdelta, which is a set of
tools and APIs for reading and writing compressed deltas. Deltas
encode the differences between two versions of a document. This
release features a completely new compression engine, several
algorithmic improvements, a fully programmable interface modelled
after zlib, in addition to a command-line utility, use of the RFC3284
(VCDIFF) encoding, a python extension, and now 64-bit support.

%if %build_staticlib
%package devel
Summary: Static libraries and header files for development with XDelta3
Group: Development/C
Requires: %{name}

%description devel
This package contains the static libraries and header files
required to develop applications using Xdelta3.
%endif

%prep
%setup -q -n xdelta%{frealversion}
%autopatch -p1

%build
cat << \EOF > config.mak
CFLAGS=%{optflags}
EOF
%make
%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

install -m755 xdelta3 %{buildroot}/%{_bindir}
install -m 644 xdelta3.1 %{buildroot}/%{_mandir}/man1

# Create compat symlinks
pushd %{buildroot}/%{_bindir}
ln -s xdelta3 xdelta
popd

pushd %{buildroot}/%{_mandir}/man1
ln -s xdelta3.1 xdelta.1
popd


%files
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/xdelta*
%if %build_staticlib
%files devel
%{_includedir}/*.h
%{_libdir}/*.a
%endif


%changelog
* Thu Feb 25 2016 luigiwalser <luigiwalser> 3.0.0-7.mga6
+ Revision: 979032
- add patch from debian to fix CVE-2014-9765

* Sat Feb 06 2016 umeabot <umeabot> 3.0.0-6.mga6
+ Revision: 939942
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-5.mga5
+ Revision: 739862
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-4.mga5
+ Revision: 690576
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.0.0-3.mga4
+ Revision: 520504
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.0.0-2.mga3
+ Revision: 386708
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 dmorgan <dmorgan> 3.0.0-1.mga1
+ Revision: 43046
- Fix install
- Fix spec file
- New version 3.0.0
- imported package xdelta3

